Summary:	xinput application - allows configuration and testing of XInput devices
Summary(pl.UTF-8):	Aplikacja xinput pozwalająca na konfigurację i testowanie urządzeń XInput
Name:		xorg-app-xinput
Version:	1.6.1
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/archive/individual/app/xinput-%{version}.tar.bz2
# Source0-md5:	305980ac78a6954e306a14d80a54c441
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.6.0
BuildRequires:	xorg-proto-inputproto-devel >= 2.1.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXi >= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A utility to configure and test XInput devices.

%description -l pl.UTF-8
Narzędzie do konfiguracji i testowania urządzeń XInput.

%prep
%setup -q -n xinput-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/xinput
%{_mandir}/man1/xinput.1*
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xinput.git;a=log;h=master

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> ed75915
- release 2 (by relup.sh)

* Mon Sep 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 535c0ac
- updated to 1.6.1

* Mon May 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 13fe136
- updated BRs, also to ensure XI 2.2 support

* Tue May 15 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 311c0f9
- up to 1.6.0

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> f80271f
- updated to 1.5.4

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 523c9e5
- updated to 1.5.3

* Fri Jun 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 26e4541
- up to 1.5.2

* Thu May 27 2010 Jakub Bogusz <qboosh@pld-linux.org> c6c8c2a
- updated to 1.5.1

* Wed Oct 14 2009 Jakub Bogusz <qboosh@pld-linux.org> b74e055
- updated to 1.5.0

* Thu Sep 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9eb244d
- up to 1.4.99.3

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a33a0ca
- up to 1.4.99.2

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> 2dcb31a
- updated to 1.4.2

* Tue Apr 07 2009 Adam Gołębiowski <adamg@pld-linux.org> b8008fb
- buildrequires xorg-util-util-macros >= 1.2 (according to announce)

* Mon Apr 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 11a6cca
- up to 1.4.1

* Fri Jan 16 2009 Jakub Bogusz <qboosh@pld-linux.org> e363d95
- updated BRs

* Fri Jan 16 2009 Adam Gołębiowski <adamg@pld-linux.org> 21a1596
- updated to 1.4.0

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 3480047
- more docs and BRs

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 94c8658
- pl

* Thu Jan 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> baada0b
- initial

